services:
    ukkoocs400ow0c48wwkogcgo-031818612711:
        image: 'ukkoocs400ow0c48wwkogcgo:25968fed50aab8c44e3fabde0e12723179bc50cb'
        container_name: ukkoocs400ow0c48wwkogcgo-031818612711
        restart: unless-stopped
        expose:
            - '3000'
        networks:
            coolify:
                aliases:
                    - ukkoocs400ow0c48wwkogcgo-031818612711
        mem_limit: '0'
        memswap_limit: '0'
        mem_swappiness: 60
        mem_reservation: '0'
        cpus: 0.0
        cpu_shares: 1024
        env_file:
            - .env
        healthcheck:
            test:
                - CMD-SHELL
                - 'curl -s -X GET -f http://localhost:3000/api/health/check > /dev/null || wget -q -O- http://localhost:3000/api/health/check > /dev/null || exit 1'
            interval: 60s
            timeout: 5s
            retries: 10
            start_period: 20s
        labels:
            - traefik.enable=true
            - traefik.http.middlewares.gzip.compress=true
            - traefik.http.middlewares.redirect-to-https.redirectscheme.scheme=https
            - traefik.http.routers.http-0-ukkoocs400ow0c48wwkogcgo.entryPoints=http
            - traefik.http.routers.http-0-ukkoocs400ow0c48wwkogcgo.middlewares=redirect-to-https
            - 'traefik.http.routers.http-0-ukkoocs400ow0c48wwkogcgo.rule=Host(`stage-price-history.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.http-0-ukkoocs400ow0c48wwkogcgo.service=http-0-ukkoocs400ow0c48wwkogcgo
            - traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.entryPoints=https
            - traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.middlewares=gzip
            - 'traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.rule=Host(`stage-price-history.shoppingbuilders.com`) && PathPrefix(`/`)'
            - traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.service=https-0-ukkoocs400ow0c48wwkogcgo
            - traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.tls.certresolver=letsencrypt
            - traefik.http.routers.https-0-ukkoocs400ow0c48wwkogcgo.tls=true
            - traefik.http.services.http-0-ukkoocs400ow0c48wwkogcgo.loadbalancer.server.port=3000
            - traefik.http.services.https-0-ukkoocs400ow0c48wwkogcgo.loadbalancer.server.port=3000
            - 'caddy_0.encode=zstd gzip'
            - 'caddy_0.handle_path.0_reverse_proxy={{upstreams 3000}}'
            - 'caddy_0.handle_path=/*'
            - caddy_0.header=-Server
            - 'caddy_0.try_files={path} /index.html /index.php'
            - 'caddy_0=https://stage-price-history.shoppingbuilders.com'
            - caddy_ingress_network=coolify
            - coolify.managed=true
            - coolify.version=4.0.0-beta.418
            - coolify.applicationId=5
            - coolify.type=application
            - coolify.name=ukkoocs400ow0c48wwkogcgo
            - coolify.resourceName=shopping-buildersprice-historystage-ukkoocs400ow0c48wwkogcgo
            - coolify.projectName=price-history
            - coolify.serviceName=shopping-buildersprice-historystage-ukkoocs400ow0c48wwkogcgo
            - coolify.environmentName=staging
            - coolify.pullRequestId=0
networks:
    coolify:
        external: true
        name: coolify
        attachable: true
